Subject: bug#52493: 29.0.50; Setting Inconsolata up in init.el makes default face rendered wrong

From: Dmitry Gutov <[email-masked]>
Date: Wed, 21 Dec 2022 15:43:23 +0200

On 21/12/2022 11:22, martin rudalics wrote:
> Do I understand correctly that you see a 108 pixel decrement
> 
>  > (gdb) p f->text_height
>  > $7 = 1116
> 
> ...
> 
>  > (gdb) p f->text_height
>  > $11 = 1008
> 
> each time you evaluate
> 
> (set-face-attribute 'default nil :height 110 :weight 'medium :family 
> "Inconsolata")
> 
> Does the problem also happen with 'frame-inhibit-implied-resize'
> non-nil?

Sorry, here's some missing info:

I don't have a font called "InconsolataLGC", or maybe not anymore. I 
have a font called "Inconsolata LGC", with a space.

Evaluating

(set-face-attribute 'default nil :height 110 :family "Inconsolata LGC")

works okay, it's only evaluating

(set-face-attribute 'default nil :height 110 :family "InconsolataLGC")

creates this effect.

The value of 'height' is also important. E.g. it doesn't happen for 105, 
for happens for 110.